Package xg

# Class Validator

java.lang.Object
xg.Validator

public final class Validator extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Validator.EnumValidatorOptions`
Protobuf type `EnumValidatorOptions`
`static interface`
`Validator.EnumValidatorOptionsOrBuilder`
`static final class`
`Validator.OneofValidatorOptions`
Protobuf type `OneofValidatorOptions`
`static interface`
`Validator.OneofValidatorOptionsOrBuilder`
`static final class`
`Validator.ValidatorOptions`
Protobuf type `ValidatorOptions`
`static interface`
`Validator.ValidatorOptionsOrBuilder`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ENUM_VALIDATOR_FIELD_NUMBER`
`static final GeneratedMessage.GeneratedExtension<DescriptorProtos.EnumOptions,Validator.EnumValidatorOptions>`
`enumValidator`
`extend .google.protobuf.EnumOptions { ...`
`static final int`
`ONEOF_VALIDATOR_FIELD_NUMBER`
`static final GeneratedMessage.GeneratedExtension<DescriptorProtos.OneofOptions,Validator.OneofValidatorOptions>`
`oneofValidator`
`extend .google.protobuf.OneofOptions { ...`
`static final GeneratedMessage.GeneratedExtension<DescriptorProtos.FieldOptions,Validator.ValidatorOptions>`
`validator`
`extend .google.protobuf.FieldOptions { ...`
`static final int`
`VALIDATOR_FIELD_NUMBER`

## Method Summary

Modifier and Type
Method
Description
`static Descriptors.FileDescriptor`
`getDescriptor()`
`static void`
`registerAllExtensions(ExtensionRegistry registry)`
`static void`
`registerAllExtensions(ExtensionRegistryLite registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VALIDATOR_FIELD_NUMBER

public static final int VALIDATOR_FIELD_NUMBER

See Also:
  - Constant Field Values

### validator

public static final GeneratedMessage.GeneratedExtension<DescriptorProtos.FieldOptions,Validator.ValidatorOptions> validator
`extend .google.protobuf.FieldOptions { ... }`

### ONEOF_VALIDATOR_FIELD_NUMBER

public static final int ONEOF_VALIDATOR_FIELD_NUMBER

See Also:
  - Constant Field Values

### oneofValidator

public static final GeneratedMessage.GeneratedExtension<DescriptorProtos.OneofOptions,Validator.OneofValidatorOptions> oneofValidator
`extend .google.protobuf.OneofOptions { ... }`

### ENUM_VALIDATOR_FIELD_NUMBER

public static final int ENUM_VALIDATOR_FIELD_NUMBER

See Also:
  - Constant Field Values

### enumValidator

public static final GeneratedMessage.GeneratedExtension<DescriptorProtos.EnumOptions,Validator.EnumValidatorOptions> enumValidator
`extend .google.protobuf.EnumOptions { ... }`

## Method Details

### registerAllExtensions

public static void registerAllExtensions(ExtensionRegistryLite registry)

### registerAllExtensions

public static void registerAllExtensions(ExtensionRegistry registry)

### getDescriptor

public static Descriptors.FileDescriptor getDescriptor()